import 'whatwg-fetch';
import queryString from 'qs';
import Cookies from 'js-cookie';
export var fetchAPI = function fetchAPI(url, query, method) {
  var queryStrObj = { ...query
  };
  var options = {};

  if (method && method.toUpperCase() === 'POST') {
    var headers = new Headers();
    headers.append("Content-Type", "application/x-www-form-urlencoded");
    queryStrObj['_csrf'] = Cookies.get('XSRF-TOKEN');
    options = {
      method: 'POST',
      headers: headers,
      credentials: 'same-origin',
      body: queryString.stringify(queryStrObj)
    };
  } else {
    url += '?' + queryString.stringify(queryStrObj);
  }

  return fetch(url, options).then(function (resp) {
    if (resp.ok && resp.status === 200) {
      return resp.json();
    }

    if (resp.code === 500) {
      throw new Error(resp.msg);
    }

    return resp;
  }).catch(function (error) {
    if (error.name !== 'Error') {
      error.message = '网络异常';
    }

    throw error;
  });
};