var format = function format(value, count) {
  var suffix = value.toFixed(count).split('.')[1];
  var i = suffix.length - 1;
  var adjustedCount = count;

  while (i >= 0) {
    if (suffix[i] === '0') {
      adjustedCount--;
    } else {
      break;
    }

    i--;
  }

  return value.toFixed(adjustedCount);
};

export var customFormatNumber = function customFormatNumber(num) {
  if (num < 10000) {
    return num.toString();
  }

  var value;
  var baseValue;

  if (num < 100000000) {
    // 大于99999950显示一亿
    if (num >= 99999950) {
      return '1亿';
    }

    value = num / 10000;
    baseValue = Math.round(value);
    return (baseValue > value ? baseValue : format(value, 1)) + '万';
  }

  value = num / 100000000;
  baseValue = Math.round(value);
  return (baseValue > value ? baseValue : format(value, 2)) + '亿';
};